List all Authorizations for a User
GET
https://api.neuroscale.io/v2.0/authorizations
The Authorizations Collection resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| count | Integer | Total number of Authorization objects contained in the response. |
| data | Array of Authorizations | Array of Authorization objects. |
| object | String | Resource type (value is "list"). |
| url | String | Uniform Resource Locator (URL) of the Authorizations Collection resource relative to the base NeuroScale Platform API URL. |
Authentication¶
Type: HTTP basic authentication
Required credentials: Account username and password
Responses¶
Example response — 200¶
{
"count": 1,
"data": [
{
"access_token": "bc24733f-170f-44b3-92b5-f2184e9b3013",
"created_at": 1445963052,
"description": "Description of Authorization",
"id": "auth_wshGn7n8necYXgqWDfwgYc",
"object": "authorization",
"properties": {
"key_1": "value_1",
"key_2": "value_2"
},
"scopes": [
"instance",
"pipeline",
"user"
],
"updated_at": 1445963052,
"user": "usr_ZTNc2sEjoq6JoEgPNFUg6g"
}
],
"object": "list",
"url": "/v1/authorizations"
}